/*--------------------------------------------------
 *	cell.h
 *	륪ȥޥȥʥȡ饹
 *--------------------------------------------------*/

#ifndef _CELL_
#define _CELL_

#include <stdlib.h>
#include <time.h>

/* ¤ */
typedef struct{
	int ***data;
	int *rule;
	int size_x;
	int size_y;
	int toggle;
} cell;

/* ؿץȥ */
void make_cell(cell **c, int x, int y);

void delete_cell(cell *c);

void cell_init(cell *c);

void cell_set_rule(cell *c, int id, int rule);

int cell_get_rule(cell *c, int id);

void cell_calc_next(cell *c);

void cell_set_data(cell *c, int x, int y, int value);

int cell_get_data(cell *c, int x, int y);

#endif	/* _CELL_ */

