/*--------------------------------------------------
 *	neuron.h
 *	cellѤ
 *--------------------------------------------------*/

#ifndef _NEURON_
#define _NEURON_

#include "cell.h"

/* ¤ */
typedef struct{
	cell *c;
	int dim;
	int length;
} neuron;

/* ؿץȥ */
void make_neuron(neuron **nu, int dim, int length);

void delete_neuron(neuron *nu);

void neuron_init(neuron *nu);

void neuron_set_rule(neuron *nu, int id, int rule);

int neuron_get_rule(neuron *nu, int id);

void neuron_calc_next(neuron *nu);

void neuron_input(neuron *nu, int *in);

void neuron_output(neuron *nu, int *out);

#endif	/* _NEURON_ */

